Subject: [NEXTEL-1] US Customs to Delay Cargo Security Rules

From: Marcelrf <[email-masked]>
Date: Tue, 24 Feb 2004 20:34:24 -0500

US Customs to Delay Cargo Security RulesLink to story in Logistics
Today:http://www.logisticstoday.com/ASP/viewArticle.asp?strArticleId=106499